# Poco::XML

# class Comment

Library: XML
Package: DOM
Header: Poco/DOM/Comment.h

## Description

This interface inherits from CharacterData and represents the content of a comment, i.e., all the characters between the starting '—' and ending '—>'. Note that this is the definition of a comment in XML, and, in practice, HTML, although some HTML tools may implement the full SGML comment structure.

## Inheritance

Direct Base Classes: CharacterData

All Base Classes: AbstractNode, CharacterData, DOMObject, EventTarget, Node

## Member Summary

Member Functions: copyNode, nodeName, nodeType

Inherited Functions: addEventListener, appendChild, appendData, attributes, autoRelease, bubbleEvent, captureEvent, childNodes, cloneNode, copyNode, data, deleteData, dispatchAttrModified, dispatchCharacterDataModified, dispatchEvent, dispatchNodeInserted, dispatchNodeInsertedIntoDocument, dispatchNodeRemoved, dispatchNodeRemovedFromDocument, dispatchSubtreeModified, duplicate, events, eventsSuspended, firstChild, getData, getNodeValue, hasAttributes, hasChildNodes, innerText, insertBefore, insertData, isSupported, lastChild, length, localName, namespaceURI, nextSibling, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, release, removeChild, removeEventListener, replaceChild, replaceData, setData, setNodeValue, setOwnerDocument, substringData, trimmedData

## Constructors

### Comment

Comment(
Document * pOwnerDocument,
const XMLString & data
);

### Comment

Comment(
Document * pOwnerDocument,
const Comment & comment
);

## Destructor

### ~Comment

~Comment();

## Member Functions

### nodeName

const XMLString & nodeName() const;

See also: Poco::XML::AbstractNode::nodeName()

### nodeType

unsigned short nodeType() const;

See also: Poco::XML::Node::nodeType()

### copyNode

Node * copyNode(
bool deep,
Document * pOwnerDocument
) const;

See also: Poco::XML::AbstractNode::copyNode()